NoVNC Support

Starting version 1.3.4, novnc support was added for proxmox node version 3.3. and above. You need to patch a file on proxmox server in order for novnc to run properly, to do so follow this steps:


  1. Downlaod your Proxmox provisioning module version 1.3.4 or above.
  2. Unzip and locate novnc-patch folder, you will find inside a file called pveui.js for proxmox 4.x or app.js for proxmox 5.x, we need to upload this file to proxmox server.
  3. Use any ftp/SCP tool like the one in cpanel or using your own WinSCP or filezilla program to access your proxmox server
  4. Browse to the folder: /usr/share/novnc-pve/include for Proxmox up to 4.x and /usr/share/novnc-pve/ for proxmox 5.x on proxmox server
  5. Upload the file pveui.js/app.js from step 2 and rename the existing file on server.
  6. That's it head to WHMCS > Setup > Products/Services > Products/Services and edit your proxmox product > module settings tab > check the box beside novnc console then save.
Enjoy!

Thanks

  • 125 Users Found This Useful
Was this answer helpful?

Related Articles

Getting error Could not poll for Version while configuring

Symptoms:Error: Could not poll for Version while configuringProblem:To be able to solve this...

Proxmox Backup Notifications Failing

Problem:   After Enabling Mailto feature for backup notificatins, no backup completion...

Setting up Auto IP for KVM (Updated 19th Apr 2017: OVH support)

***NEW Method***: with the new Auto Scripts Template feature you can now perform Linux/unix KVM...

KVM arbitrary arqument usage

writing in progress

Installing PHP-SSH2 for KVM Auto IP

**Only Required FOR MODULE VERSION 1.3.1 or LOWER, STARTING 1.3.2.1 this is optionaal as WE USE...

Powered by WHMCompleteSolution